//
// Created by m on 12/3/21.
//

#ifndef RLA_IIPP_GAME_HPP
#define RLA_IIPP_GAME_HPP
#include "../rendering/renderer.hpp"
#include "../input/inputprocessor.hpp"

struct GameInitArgs {
    unsigned int target_fps;
    int window_width;
    int window_height;
};

class Game {
public:
    virtual bool update(InputResult input) = 0;
    virtual void render(Renderer* renderer) = 0;
    virtual void initialize(GameInitArgs args)=0;
};

#endif //RLA_IIPP_GAME_HPP
